Bug 788995 - Review Request: beefy-miracle-kde-theme - Beefy Miracle KDE Theme
Summary: Review Request: beefy-miracle-kde-theme - Beefy Miracle KDE Theme
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Novacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-09 14:36 UTC by Jaroslav Reznik
Modified: 2016-12-01 00:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-14 15:58:08 UTC
Type: ---
rnovacek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jaroslav Reznik 2012-02-09 14:36:18 UTC
Spec URL: http://rezza.hofyland.cz/fedora/packages/beefy-miracle-kde-theme/beefy-miracle-kde-theme.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/beefy-miracle-kde-theme/beefy-miracle-kde-theme-16.91.0-1.fc16.src.rpm
Description: This is Beefy Miracle KDE Theme Artwork containing KDM theme,
KSplash theme and Plasma Workspaces theme.

Scratchbuild: http://koji.fedoraproject.org/koji/taskinfo?taskID=3775173

rpmlint beefy-miracle-kde-theme.spec 
beefy-miracle-kde-theme.spec:59: W: macro-in-comment %{buildroot}
beefy-miracle-kde-theme.spec:59: W: macro-in-comment %{_kde4_appsdir}
0 packages and 1 specfiles checked; 0 errors, 2 warnings.

Comment 1 Radek Novacek 2012-02-09 14:59:24 UTC
Name: ok
License: ok
Source: ok
BRs/Reqs: ok
Macros used consistently: ok
ldconfig: NA
Desktop file validations: NA
Locales: NA
Docs: ok
Devel: NA
Files: ok 
Build: ok
rpmlint: no issues
beefy-miracle-kde-theme.src:59: W: macro-in-comment %{buildroot}
beefy-miracle-kde-theme.src:59: W: macro-in-comment %{_kde4_appsdir}
beefy-miracle-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/BeefyMiracle/1920x1200/beefy-miracle.png ../../../../../../backgrounds/beefy-miracle/default/wide/beefy-miracle.png
beefy-miracle-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/BeefyMiracle/2048x1536/beefy-miracle.png ../../../../../../backgrounds/beefy-miracle/default/standard/beefy-miracle.png
beefy-miracle-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/BeefyMiracle/1280x1024/beefy-miracle.png ../../../../../../backgrounds/beefy-miracle/default/normalish/beefy-miracle.png
beefy-miracle-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/BeefyMiracle/system-logo-white.png ../../../../../pixmaps/system-logo-white.png
beefy-miracle-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/BeefyMiracle/2048x1536/logo.png ../../../../../../pixmaps/system-logo-white.png


There is mistake in condition for Provides, there should be version bump in "%if 0%{?fedora} > 15" and in the second condition too.

Please correct the version before adding the package to the distribution. No other issues found, setting fedora-review+.

Comment 2 Jaroslav Reznik 2012-02-09 15:18:43 UTC
The dangling symlinks are ok, there's dependency on beefy-miracle-backgrounds.

Comment 4 Jaroslav Reznik 2012-02-10 10:05:30 UTC
New Package SCM Request
=======================
Package Name: beefy-miracle-kde-theme
Short Description: Beefy Miracle KDE Theme
Owners: jreznik kkofler than rdieter ltinkl
Branches: f17
InitialCC:

Comment 5 Gwyn Ciesla 2012-02-10 12:54:49 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.